<?php
  
//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=search'>".LG('Поиск по сайту')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO LG('Видео');
ECHO "</div>";

IF (POST('ok')){
  
  $_SESSION['search'] = ADSL(POST('search'));
  
}

IF (ISSET($_SESSION['search'])){
  
  $search = STRIPSLASHES(HTMLSPECIALCHARS($_SESSION['search']));
  
}ELSE{
  
  $search = NULL;
  
}

ECHO "<div class='list'>";

ECHO "<form method='post' action='/modules/?path=search&type=videos' class='panel-bottom-comments-js' style='position: relative;'>";

ECHO "<input type='text' name='search' class='form-control-100' placeholder='".LG('Что ищем?')."' value='".$search."'>";

ECHO "<button type='submit' id='ajax-comments-button' class='search-button' value='go'>".ICONS('search', 16, 'fa-fw')."</button>";

IF (CONFIG('CSRF') == 1){
  
  ECHO '<input type="hidden" name="'.$token_id.'" value="'.$token_value.'">';

}

ECHO '<input type="hidden" value="go" name="ok">';

ECHO "</form>";

ECHO "</div>";

$sql = "SELECT `VIDEOS`.`ID`,`VIDEOS`.`ID_DIR`,`VIDEOS`.`EXT`,`VIDEOS`.`NAME`,`VIDEOS`.`DURATION` FROM `VIDEOS` LEFT JOIN `VIDEOS_DIR` ON (`VIDEOS_DIR`.`ID` = `VIDEOS`.`ID_DIR` OR `VIDEOS_DIR`.`ID_DIR` = `VIDEOS`.`ID_DIR`) WHERE `PRIVATE` = '0' AND (`VIDEOS`.`NAME` LIKE '%".$search."%' OR `VIDEOS`.`MESSAGE` LIKE '%".$search."%') GROUP BY `VIDEOS`.`ID`";

$videos = DB::GET_STRING_ALL($sql);

$column = 0;

WHILE ($videos->FETCH())
{
  
  $column++;
  
}

$spage = SPAGE($column, $page_settings);
$page = PAGE($spage);
$limit = $page_settings * $page - $page_settings;

IF ($column == 0){ 
  
  HTML::EMPTY();
  
}ELSE{
  
  ECHO "<div class='list-body'>"; 
  ECHO "<ul class='files-body'>";
  
}

$s = 0;

$data = DB::GET_STRING_ALL($sql." ORDER BY `VIDEOS`.`TIME` DESC LIMIT ".$limit.", ".$page_settings."");

WHILE ($list = $data->FETCH())
{
  
  ECHO "<li class='files-wrapper'><a href='/modules/?path=videos&section=show&video_id=".$list['ID']."' class='__files'>";
  
  IF (IS_FILE(ROOT.'/files/upload/videos/screen/'.$list['ID'].'.jpg') && CONFIG('VIDEO_SCREEN') == 1){
    
    ECHO "<img src='/files/upload/videos/screen/240x240/".$list['ID'].".jpg' style='max-width: 100%; position: absolute;'>";
  
  }ELSE{
    
    ECHO "<img src='/files/upload/videos/screen/no_video.jpg' style='max-width: 100%; position: absolute;'>";
  
  }
  
  ECHO "<span class='files-or-dir'>".ICONS('film', 12, 'fa-fw')." ".$list['EXT']."</span>";
  
  ECHO "<span class='files-like_'><small>".$list['DURATION']."</small></span>";
  
  ECHO "<span class='files-or-dir-text'>".CROP_TEXT(TEXT_ABSOLUTE($list['NAME']), 0, 14)."</span>";
  
  ECHO "</a></li>";
  
}

IF ($column > 0){

  ECHO "</ul>";
  ECHO "</div>";
  
}

IF ($spage > 1){ ECHO STR_PAGE('/modules/?path=search&type=videos&', $spage, $page); }

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=search'>".LG('Поиск по сайту')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO LG('Видео');
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');
EXIT;
  
?>